Debian Bug report logs - #718267
ITP: xidle -- run a program on X inactivity

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Thorsten Glaser <tg@mirbsd.de>

Date: Mon, 29 Jul 2013 13:51:06 UTC

Owned by: Thorsten Glaser <tg@mirbsd.de>

Severity: wishlist

Done: Thorsten Glaser <tg@mirbsd.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#718267; Package wnpp. (Mon, 29 Jul 2013 13:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 29 Jul 2013 13:51:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: xidle -- run a program on X inactivity
Date: Mon, 29 Jul 2013 15:43:02 +0200
Package: wnpp
Severity: wishlist
Owner: Thorsten Glaser <tg@mirbsd.de>

* Package name    : xidle
  Version         : CVS HEAD
  Upstream Author : Federico G. Schwindt <fgsch@cvs.openbsd.org>
* URL             : https://www.mirbsd.org/man1/xidle
* License         : 2-clause UCB
  Programming Lang: C
  Description     : run a program on X inactivity

xidle uses the XScreenSaver(3) extension to receive inactivity events
when a timeout is specified, running a specific program after the
elapsed time. xidle also monitors the very corner of the given position
for pointer activity and runs a program if the pointer sits there for
more than the specified number of seconds. This behavior is always
present, whether -timeout is specified or not.

For example, I’ve got this in my ~/.xinitrc for use with evilwm:

# run xlock on moving to the upper-right corner
xidle -ne -program '/usr/bin/xlock -mode life' &



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Thorsten Glaser <tg@mirbsd.de>:
Bug#718267; Package wnpp. (Mon, 29 Jul 2013 18:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Thorsten Glaser <tg@mirbsd.de>. (Mon, 29 Jul 2013 18:54:04 GMT) Full text and rfc822 format available.

Message #10 received at 718267@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Thorsten Glaser <tg@mirbsd.de>
Cc: 718267@bugs.debian.org
Subject: Re: Bug#718267: ITP: xidle -- run a program on X inactivity
Date: Mon, 29 Jul 2013 20:51:33 +0200
[Message part 1 (text/plain, inline)]
 ❦ 29 juillet 2013 15:43 CEST, Thorsten Glaser <tg@mirbsd.de> :

> Package: wnpp
> Severity: wishlist
> Owner: Thorsten Glaser <tg@mirbsd.de>
>
> * Package name    : xidle
>   Version         : CVS HEAD
>   Upstream Author : Federico G. Schwindt <fgsch@cvs.openbsd.org>
> * URL             : https://www.mirbsd.org/man1/xidle
> * License         : 2-clause UCB
>   Programming Lang: C
>   Description     : run a program on X inactivity
>
> xidle uses the XScreenSaver(3) extension to receive inactivity events
> when a timeout is specified, running a specific program after the
> elapsed time. xidle also monitors the very corner of the given position
> for pointer activity and runs a program if the pointer sits there for
> more than the specified number of seconds. This behavior is always
> present, whether -timeout is specified or not.
>
> For example, I’ve got this in my ~/.xinitrc for use with evilwm:
>
> # run xlock on moving to the upper-right corner
> xidle -ne -program '/usr/bin/xlock -mode life' &

Then, what's the difference with xautolock?
-- 
Use debugging compilers.
            - The Elements of Programming Style (Kernighan & Plauger)
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#718267; Package wnpp. (Mon, 29 Jul 2013 20:45:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thorsten Glaser <tg@mirbsd.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 29 Jul 2013 20:45:12 GMT) Full text and rfc822 format available.

Message #15 received at 718267@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
Cc: 718267@bugs.debian.org
Subject: Re: Bug#718267: ITP: xidle -- run a program on X inactivity
Date: Mon, 29 Jul 2013 20:36:42 +0000 (UTC)
Vincent Bernat dixit:

>Then, what's the difference with xautolock?

Hm, hadn’t known that one. Thanks for pointing it out.

Licence, I guess, and command-line syntax.
Probably not enough to justify another .deb…

bye,
//mirabilos
-- 
17:08⎜«Vutral» früher gabs keine packenden smartphones und so
17:08⎜«Vutral» heute gibts frauen die sind facebooksüchtig
17:10⎜«Vutral» aber auch traurig; früher warst du als nerd voll am arsch
17:10⎜«Vutral» heute bist du als nerd der einzige der wirklich damit klarkommt



Reply sent to Don Armstrong <don@debian.org>:
You have taken responsibility. (Tue, 11 Feb 2014 20:45:21 GMT) Full text and rfc822 format available.

Notification sent to Thorsten Glaser <tg@mirbsd.de>:
Bug acknowledged by developer. (Tue, 11 Feb 2014 20:45:21 GMT) Full text and rfc822 format available.

Message #20 received at 718267-done@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: debian-devel-announce@lists.debian.org
Subject: [CTTE #727708] Default init system for Debian
Date: Tue, 11 Feb 2014 11:39:04 -0800
[Message part 1 (text/plain, inline)]
The technical committee was asked in #727708 to decide which init
system would be the default init system for Debian. The decision is
below:

==== RESOLUTION ====

We exercise our power to decide in cases of overlapping jurisdiction
(6.1.2) by asserting that the default init system for Linux
architectures in jessie should be systemd.

Should the project pass a General Resolution before the release of
"jessie" asserting a "position statement about issues of the day" on
init systems, that position replaces the outcome of this vote and is
adopted by the Technical Committee as its own decision.

==== END OF RESOLUTION ====

Additional discussions regarding the technical policy necessary for
implementing this decision are anticipated and will be carried out via
the normal technical policy procedure.

Please see http://bugs.debian.org/727708 for discussion of
this bug.

-- 
Don Armstrong                      http://www.donarmstrong.com

If I had a letter, sealed it in a locked vault and hid the vault
somewhere in New York. Then told you to read the letter, thats not
security, thats obscurity. If I made a letter, sealed it in a vault,
gave you the blueprints of the vault, the combinations of 1000 other
vaults, access to the best lock smiths in the world, then told you to
read the letter, and you still can't, thats security.
 -- Bruce Schneier
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Thorsten Glaser <tg@mirbsd.de>:
Bug#718267; Package wnpp. (Wed, 12 Feb 2014 17:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@donarmstrong.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Thorsten Glaser <tg@mirbsd.de>. (Wed, 12 Feb 2014 17:45:05 GMT) Full text and rfc822 format available.

Message #25 received at 718267@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@donarmstrong.com>
To: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
Cc: 718267@bugs.debian.org, Thorsten Glaser <tg@mirbsd.de>
Subject: Re: Bug#718267: marked as done (ITP: xidle -- run a program on X inactivity)
Date: Wed, 12 Feb 2014 09:35:59 -0800
Control: reopen -1

On Wed, 12 Feb 2014, Andreas Cadhalpun wrote:
> is there any reason why you closed Bug #718267 with your message to
> announce the default init system for jessie?
> https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=718267#20

I didn't, actually.[1]

For reasons which are unclear to me, Thorsten Glaser <tg@mirbsd.de>
bounced my message to d-d-a to close this bug.

As you're the second person who has asked me about it, and I haven't
gotten a response from Thorsten when I asked him about it yesterday, I'm
going to just unilaterally reopen this bug, and put this information in
the bug log.

Thorsten: feel free to close or whatever as appropriate.

1: You can tell if you look at the headers[2]:
Received: from static-87-79-237-121.netcologne.de
	([87.79.237.121] helo=herc.mirbsd.org ident=root)
	by buxtehude.debian.org with esmtps
    (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:256)
	(Exim 4.80)
	(envelope-from <tg@mirbsd.org>)

2: https://bugs.debian.org/cgi-bin/bugreport.cgi?msg=20;bug=718267
-- 
Don Armstrong                      http://www.donarmstrong.com

A Democracy lead by politicians and political parties, fails.



Bug reopened Request was from Don Armstrong <don@donarmstrong.com> to 718267-submit@bugs.debian.org. (Wed, 12 Feb 2014 17:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Thorsten Glaser <tg@mirbsd.de>:
Bug#718267; Package wnpp. (Wed, 12 Feb 2014 17:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Thorsten Glaser <tg@mirbsd.de>. (Wed, 12 Feb 2014 17:51:10 GMT) Full text and rfc822 format available.

Message #32 received at 718267@bugs.debian.org (full text, mbox):

From: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
To: Don Armstrong <don@donarmstrong.com>
Cc: 718267@bugs.debian.org, Thorsten Glaser <tg@mirbsd.de>
Subject: Re: Bug#718267: marked as done (ITP: xidle -- run a program on X inactivity)
Date: Wed, 12 Feb 2014 18:48:09 +0100
On 12.02.2014 18:35, Don Armstrong wrote:
> On Wed, 12 Feb 2014, Andreas Cadhalpun wrote:
>> is there any reason why you closed Bug #718267 with your message to
>> announce the default init system for jessie?
>> https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=718267#20
>
> I didn't, actually.[1]

I'm sorry, I should have checked that first.
It just looked rather strange.

Best regards,
Andreas



Reply sent to Thorsten Glaser <tg@mirbsd.de>:
You have taken responsibility. (Wed, 12 Feb 2014 20:57:09 GMT) Full text and rfc822 format available.

Notification sent to Thorsten Glaser <tg@mirbsd.de>:
Bug acknowledged by developer. (Wed, 12 Feb 2014 20:57:09 GMT) Full text and rfc822 format available.

Message #37 received at 718267-done@bugs.debian.org (full text, mbox):

From: Thorsten Glaser <tg@mirbsd.de>
To: Don Armstrong <don@donarmstrong.com>, 718267-done@bugs.debian.org
Cc: Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>
Subject: Re: Bug#718267: marked as done (ITP: xidle -- run a program on X inactivity)
Date: Wed, 12 Feb 2014 20:42:11 +0000 (UTC)
Don Armstrong dixit:

>For reasons which are unclear to me, Thorsten Glaser <tg@mirbsd.de>
>bounced my message to d-d-a to close this bug.

Eh… I didn’t realise that it would look that strange, and this
was a mistake. (What wasn’t was to use that mail as reason to
close this bug.)

>As you're the second person who has asked me about it, and I haven't
>gotten a response from Thorsten when I asked him about it yesterday, I'm

Didn’t see that until now. Sorry about the noise.

bye,
//mirabilos
-- 
22:20⎜<asarch> The crazy that persists in his craziness becomes a master
22:21⎜<asarch> And the distance between the craziness and geniality is
only measured by the success 18:35⎜<asarch> "Psychotics are consistently
inconsistent. The essence of sanity is to be inconsistently inconsistent



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 13 Mar 2014 07:33:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:41:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.